Loading...
Searching...
No Matches
OpenMesh::Iterators::GenericCirculatorBaseT< Mesh > Class Template Reference
Collaboration diagram for OpenMesh::Iterators::GenericCirculatorBaseT< Mesh >:
[legend]

## Public Types

typedef const Mesh * | mesh_ptr
typedef const Mesh & | mesh_ref

## Public Member Functions

| GenericCirculatorBaseT (mesh_ref mesh, typename Mesh::HalfedgeHandle heh, bool end=false)
| GenericCirculatorBaseT (const GenericCirculatorBaseT &rhs)
Mesh::FaceHandle | toFaceHandle () const
Mesh::FaceHandle | toOppositeFaceHandle () const
Mesh::EdgeHandle | toEdgeHandle () const
Mesh::HalfedgeHandle | toHalfedgeHandle () const
Mesh::HalfedgeHandle | toOppositeHalfedgeHandle () const
Mesh::VertexHandle | toVertexHandle () const
GenericCirculatorBaseT & | operator= (const GenericCirculatorBaseT &rhs)
bool | operator== (const GenericCirculatorBaseT &rhs) const
bool | operator!= (const GenericCirculatorBaseT &rhs) const

## Protected Attributes

mesh_ptr | mesh_
Mesh::HalfedgeHandle | start_
Mesh::HalfedgeHandle | heh_
int | lap_counter_

## Friends

template<typename >
class | OpenMesh::CirculatorRange

The documentation for this class was generated from the following file:

- OpenMesh/Core/Mesh/CirculatorsT.hh